aboutsummaryrefslogtreecommitdiffstats
path: root/run-all-tests.sh
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2018-09-27 10:38:50 -0700
committerGary Wu <gary.i.wu@huawei.com>2018-09-27 10:39:43 -0700
commit9abb61ca2cea1907cab2cec312d6dca6e53a93cd (patch)
treec8ff0718b6626832efd3ff3acc48590dbd6cb64c /run-all-tests.sh
parenta328a3e2e531240ea4a9ed2ce4a284af1be5e225 (diff)
Move CSIT to integration/csit repo
To facilite branching of CSIT tests, all CSIT test code and scripts are relocated to the integration/csit repo. Change-Id: I1e4c0eff44691f73f8098b3c52764107f6b8b8df Issue-ID: INT-671 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
Diffstat (limited to 'run-all-tests.sh')
-rwxr-xr-xrun-all-tests.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/run-all-tests.sh b/run-all-tests.sh
new file mode 100755
index 00000000..c41f0698
--- /dev/null
+++ b/run-all-tests.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+
+ROOT=`git rev-parse --show-toplevel`
+CSIT=$ROOT/test/csit
+cd $CSIT
+
+# break the name up using the first dash, since run-csit.sh just join them anyway
+for file in plans/*/*/testplan.txt; do
+ testplan=`dirname $file`
+
+ echo
+ echo "#############################################################################"
+ echo "Running test plan $testplan"
+ echo "#############################################################################"
+ $CSIT/run-csit.sh $testplan
+ echo
+done